function runpower_salient_3gen_1motor;
global degit Uit it Pstatic Qstatic;

Pmech=input('Pmech load(kWt)= ');
Welhz=input('HZ= ');
Pstatic=input('Pstatic load(kWt)= ');
Qstatic=input('Qstatic load(kvar)= ');
%_______________________________PU__________________________________
Sref=Pmech*1000;                      %Reference power=shaft power needed
Wel=Welhz*2*pi;                       %Rotational speed in rad/s
Pstatic=Pstatic*1000/Sref;
Qstatic=Qstatic*1000/Sref;

Welg_nominal=(1800*4/60)*2*pi;        %nominal generator el speed, rad/s
Welm_nominal=(300*24/60)*2*pi;        %nominal motor el speed, rad/s
Keg=550/Welg_nominal;                 %Ke generator calculation RMS line-line, 550-induced rated voltage
Kem=485/Welm_nominal;                 %Ke motor calculation RMS line-line, 485-induced rated voltage

Uref=Keg*Wel                         %Reference voltage=Generator EMF
Iref=Sref/(1.732*Uref);               %Reference current obtained from power and voltage
Zref=(Uref*Uref)/Sref;                %reference impedance 

Efg=Keg*Wel/(Uref);                   %Generator voltage (magnitude) RMS line-neutral
Efm=Kem*Wel/(Uref);                   %Motor voltage (magnitude) RMS line-neutral

%_______________________________MACHINE DATA______________________________
%_Generator:
Xqg(1)=0.189/(1000*Zref)*Wel;         %ohm /phase
Xdg(1)=0.486/(1000*Zref)*Wel;         %ohm /phase
Rg=0.00627/Zref;                      %ohm /phase
Ygen=[Xqg;Xdg;Rg];
%_Motor:
Xqm=0.281/(1000*Zref)*Wel;            %ohm /phase
Xdm=0.364/(1000*Zref)*Wel;            %ohm /phase
Rm=0.00178/Zref;                      %ohm /phase
Ymot=[Xqm;Xdm;Rm];
%_____________________________CONNECTIONS_________________________________
Conn=[1 1 0 0 0;
      1 1 1 1 1; 
      0 1 1 0 0; 
      0 1 0 1 0
      0 1 0 0 1];

n=5;                                  %n-number of machines(rows and columns in a matrix)
Z=[ ; ; ; ];
%_____________________________MATRIX____________________________________
for DIM=1:1:3;                       %3-dimension matrix
                                     %1-dimension Xq
                                     %2-dimension Xd
                                     %3-dimension R
imp=[Ygen(DIM);0;Ymot(DIM);Ygen(DIM);Ygen(DIM)];
for r=1:1:n;                         %Generator always connected to bus 2
    l=1;
    Z(l, r, DIM)=Conn(l, r)*imp(1);
end
for l=1:1:n;
    r=1;
    Z(l, r, DIM)=Conn(l, r)*imp(1);
end

for x=2:1:n;                          %Motors connected always to bus 2
for l=2:1:n;                          
    r=x;
    Z(l, r, DIM)=Conn(l, r)*imp(x);
end
for r=2:1:n;
    l=x;
    Z(l, r, DIM)=Conn(l, r)*imp(x);
end
end
 Z(2, 2, DIM)=1/(1/imp(1)+1/imp(3)+1/imp(4)+1/imp(5));   %Diagonal impedance of bus 2 always a sum of all machines
end
Z(:,:,1)
Z(:,:,2)
Z(:,:,3)

 
 deg(1,1)=0;
 deg(1,2)=0;
 deg(1,3)=0;
 deg(1,4)=0;
 deg(1,5)=0;
 U(1,1)=Efg;
 U(1,3)=Efm;
 U(1,4)=Efg;
 U(1,2)=1;
 U(1,5)=Efg;
 
 t=0;
 it=0;
 
 while it<10;
salient_power_flow_3gen_1motor(Z,deg,U,t);
deg((it+1),:)=degit;
U((it+1),:)=Uit;
t=it;
 end
 deg
 U

%_________Generated power calculation
i=1;
j=2;
t=9;
               Zsys=Z(i,j,3)^2+Z(i,j,2)*Z(i,j,1);  %Z^2
               p2=U(t,j)*U(t,j)*(Z(i,j,2)-Z(i,j,1))*sind(2*(deg(t,j)-deg(t,i)))/(2*Zsys);  
               p4=U(t,i)*U(t,i)* Z(i,j,3)/(Zsys);
               p1=U(t,i)*U(t,j)*(Z(i,j,1))*sind(deg(t,j)-deg(t,i))/Zsys; 
               p3=U(t,i)*U(t,j)*(Z(i,j,3))*cosd(deg(t,j)-deg(t,i))/Zsys;
               Pgen=p1+p2+p3-p4
%___Gen power__2nd gen
i=4;
j=2;
t=9;
               Zsys=Z(i,j,3)^2+Z(i,j,2)*Z(i,j,1);  %Z^2
               p2=U(t,j)*U(t,j)*(Z(i,j,2)-Z(i,j,1))*sind(2*(deg(t,j)-deg(t,i)))/(2*Zsys);  
               p4=U(t,i)*U(t,i)* Z(i,j,3)/(Zsys);
               p1=U(t,i)*U(t,j)*(Z(i,j,1))*sind(deg(t,j)-deg(t,i))/Zsys; 
               p3=U(t,i)*U(t,j)*(Z(i,j,3))*cosd(deg(t,j)-deg(t,i))/Zsys;
               Pgen2=p1+p2+p3-p4
%P1gen2=U(9,1)*U(9,2)*sind(-deg(9,2))/Z(1,2,2)+( U(9,2) * U(9,2) * (Z(1,2,2)-Z(1,2,1)) * sind( (-2) * deg(9,2) ) )/(2*Z(1,2,2)*Z(1,2,1))
               
end