function salient_power_flow_3gen_1motor(Z,deg,U,t);
global P Q degit Uit it P4 P2 Pstatic Qstatic;
t=t+1;
it=t;
n=5; % number of machines/ buses
 %____________________________________________Gauss-Seidel Method
 
 %________FIND THE VALUE OF deg(3)1 Using
 %Power flow equation P3=1 one motor mode
 %initial guess for deg(2)=0
 %initial guess for U(2)=1
   for i=3;
        for dd=-40 : 0.001 : 0;
            deg(t,3)=dd;
        for j=1:1:n;
               Zsys=Z(i,j,3)^2+Z(i,j,2)*Z(i,j,1);  %Z^2
            if Zsys==0                             %avoid division by zero
                p1=0;p2=0;p3=0;p4=0;
            else
               p2=U(t,j)*U(t,j)*(Z(i,j,2)-Z(i,j,1))*sind(2*(deg(t,i)-deg(t,j)))/(2*Zsys);  
               p4=U(t,j)*U(t,j)* Z(i,j,3)/(Zsys);
               p1=U(t,i)*U(t,j)*(Z(i,j,1))*sind(deg(t,i)-deg(t,j))/Zsys; 
               p3=U(t,i)*U(t,j)*(Z(i,j,3))*cosd(deg(t,i)-deg(t,j))/Zsys;
            end
               P(i,j)=p1+p2+p3-p4;
        end
        P3=P(3,1)+P(3,2)+P(3,3)+P(3,4)+P(3,5);
        
    if (abs(P3+1))< 0.02;
          break
    end
    end
   end
 %________FIND THE VALUE OF deg(5)1 Using
 %Power flow equation P5=0.333 one motor mode
 %initial guess for deg(2)=0
 %initial guess for U(2)=1
   for i=5;
        for dd=-20 : 0.001 : 10;
            deg(t,5)=dd;
        for j=1:1:n;
               Zsys=Z(i,j,3)^2+Z(i,j,2)*Z(i,j,1);  %Z^2
            if Zsys==0                             %avoid division by zero
               p1=0;p2=0;p3=0;p4=0;
            else
               p2=U(t,j)*U(t,j)*(Z(i,j,2)-Z(i,j,1))*sind(2*(deg(t,i)-deg(t,j)))/(2*Zsys);  
               p4=U(t,j)*U(t,j)* Z(i,j,3)/(Zsys);
               p1=U(t,i)*U(t,j)*(Z(i,j,1))*sind(deg(t,i)-deg(t,j))/Zsys; 
               p3=U(t,i)*U(t,j)*(Z(i,j,3))*cosd(deg(t,i)-deg(t,j))/Zsys;
            end
               P(i,j)=p1+p2+p3-p4;
        end
        P5=P(5,1)+P(5,2)+P(5,3)+P(5,4)+P(5,5);
        if t==9
            P5
        end
        
    if (abs(P5-0.333))< 0.02;
          break
    end
    end
   end
   %________FIND THE VALUE OF deg(4)1 Using
 %Power flow equation P4=0.333 - assumed equal production for generators
 %initial guess for deg(2)=0
 %initial guess for U(2)=1
   for i=4;
        for dd=-5 : 0.001 : 5;
            deg(t,4)=dd;
        for j=1:1:n;
               Zsys=Z(i,j,3)^2+Z(i,j,2)*Z(i,j,1);  %Z^2
            if Zsys==0                             %avoid division by zero
                p1=0;p2=0;p3=0;p4=0;
            else
               p2=U(t,j)*U(t,j)*(Z(i,j,2)-Z(i,j,1))*sind(2*(deg(t,i)-deg(t,j)))/(2*Zsys);  
               p4=U(t,j)*U(t,j)* Z(i,j,3)/(Zsys);
               p1=U(t,i)*U(t,j)*(Z(i,j,1))*sind(deg(t,i)-deg(t,j))/Zsys; 
               p3=U(t,i)*U(t,j)*(Z(i,j,3))*cosd(deg(t,i)-deg(t,j))/Zsys;
            end
               P(i,j)=p1+p2+p3-p4;
        end
        P4=P(4,1)+P(4,2)+P(4,3)+P(4,4)+P(4,5);
        
       
    if (abs(P4-0.333))< 0.02;
          break
    end
    end
    end
 %________FIND THE VALUE OF deg(2)1 Using
 %Power flow equation P2=0
 %above calculated deg(3)
 %initial guess for U(2)=1
 for i=2;
        for ddd=-30 : 0.01 : 15;
            deg(t,2)=ddd;
        for j=1:1:n;
               Zsys=Z(i,j,3)^2+Z(i,j,2)*Z(i,j,1);  %Z^2
            if Zsys==0                             %avoid division by zero
                p1=0;p2=0;p3=0;p4=0;
            else
               p2=U(t,j)*U(t,j)*(Z(i,j,2)-Z(i,j,1))*sind(2*(deg(t,i)-deg(t,j)))/(2*Zsys);  
               p4=U(t,j)*U(t,j)* Z(i,j,3)/(Zsys);     
               p1=U(t,i)*U(t,j)*(Z(i,j,1))*sind(deg(t,i)-deg(t,j))/Zsys; 
               p3=U(t,i)*U(t,j)*(Z(i,j,3))*cosd(deg(t,i)-deg(t,j))/Zsys;
            end
               P(i,j)=p1+p2+p3-p4;
        end
        P2=P(2,1)+P(2,2)+P(2,3)+P(2,4)+P(2,5);
        
    if (abs(P2+Pstatic))< 0.02;
          break
    end
    end
 end
 %________FIND THE VALUE OF U(2)1 Using
 %Power flow equation Q2=0
 %above calculated deg(2)
 %above calculated deg(3)
 for i=2;
        for UU=0.6 : 0.0002 : 1.2;
        U(t,i)=UU;
        for j=1:1:n;
               Zsys=Z(i,j,3)^2+Z(i,j,2)*Z(i,j,1);  %Z^2
            if Zsys==0                             %avoid division by zero
                Q22=0;Q33=0;Q44=0;
            else
               Q22=  (U(t,i)*U(t,j)*Z(i,j,1)*cosd(deg(t,i)-deg(t,j)))/ Zsys ;
               Q33=  (U(t,j)*(U(t,j))/(Zsys)) * (Z(i,j,2)*(sind(deg(t,i)-deg(t,j)))^2 + Z(i,j,1)*(cosd(deg(t,i)-deg(t,j)))^2); 
               Q44=  (U(t,i)*U(t,j)*(Z(i,j,3))*sind(deg(t,i)-deg(t,j))/(Zsys));
            end
             Q(i,j)=Q22-Q33-Q44;
             %try to impliment -1 +1 for diagonal and off diagonal elements
        end
        Q2=Q(2,1)+Q(2,2)+Q(2,3)+Q(2,4)+Q(2,5);
    if (abs(Q2+Qstatic))< 0.02;
          break
    end
    end
 end
degit=deg(t,:);
Uit=U(t,:);
    
end
    